const int botonPin1 = 2;
const int botonPin2 = 4;
const int botonPin3 = 6;
const int botonPin4 = 8;

const int inX = A0;
const int inY = A1;
const int inPressed = 13;
//10 verde
const int ledPin1 = 10;
//12 rojo
const int ledPin2 = 12;

int xValue = 0;
int yValue = 0;
int notPressed = 0;

void setup() {
  // configuracion del serial y de los pines
  Serial.begin(9600);
  pinMode(botonPin1, INPUT);
  pinMode(botonPin2, INPUT);
  pinMode(botonPin3, INPUT);
  pinMode(botonPin4, INPUT);

  pinMode(inX, INPUT);
  pinMode(inY, INPUT);
  pinMode(inPressed, INPUT_PULLUP);

  pinMode(ledPin1, OUTPUT);
  pinMode(ledPin2, OUTPUT);
}

void loop() {
  //--------- BOTONES --------
  bool botonStado1 = digitalRead(botonPin1);
  bool botonStado2 = digitalRead(botonPin2);
  bool botonStado3 = digitalRead(botonPin3);
  bool botonStado4 = digitalRead(botonPin4);

  if ( botonStado1 == true )                               // esto es que han pulsado el botón1
  {
    Serial.println("Boton4");
    delay(200) ;
  }
  if ( botonStado2 == true )                               // esto es que han pulsado el botón2
  {
    Serial.println("Boton3");
    delay(200) ;
  }
  if ( botonStado3 == true )                               // esto es que han pulsado el botón3
  {
    Serial.println("Boton2");
    delay(200) ;
  }
  if ( botonStado4 == true )                               // esto es que han pulsado el botón4
  {
    Serial.println("Boton1");
    delay(200) ;
  }

  //------------ ANALOGO ----------------

  xValue = analogRead(inX);
  yValue = analogRead(inY);
  notPressed = analogRead(inPressed);


  if (xValue <= 25)
  {
    Serial.println("izquierda");
    delay(100) ;
  }
  if (xValue >= 1000)
  {
    Serial.println("derecha");
    delay(100) ;

  }
  if (yValue <= 40)
  {
    Serial.println("arriba");
    delay(100) ;

  }
  if (yValue >= 900)
  {
    Serial.println("abajo");
    delay(100) ;

  }
  delay(500);

  if (Serial.available() > 0) //Si el Arduino recibe datos a través del puerto serie
  {
    byte dato = Serial.read(); //Los almacena en la variable "dato"
    //V 86
    //R 82
    if (dato == 86) //Si recibe una "A" (en ASCII "65")
    {
      digitalWrite(ledPin1, HIGH);
      delay(2000);
      digitalWrite(ledPin1, LOW);
    }
    if (dato == 82) //Si recibe una "A" (en ASCII "65")
    {
      digitalWrite(ledPin2, HIGH);
      delay(2000);
      digitalWrite(ledPin2, LOW);
    }

  }

}

